package verifyPath;
use File::Path qw/make_path/;
use File::Spec;

sub inPath {  
	shift (@_);
	my $tmpPath = join("/",@_);
	$tmpPath =~ s/\/+/\//g;  
	unless (-e $tmpPath){ die "Input Path $tmpPath does not exist\n";} 
	unless (File::Spec->file_name_is_absolute( $tmpPath )){
		$tmpPath = File::Spec->rel2abs($tmpPath);
	}
	return $tmpPath;
}
sub outPath {    
	shift @_;
	my $tmpPath = join("/",@_);
	$tmpPath =~ s/\/+/\//g;  
	if(-e $tmpPath){
	} 
	else{
		make_path($tmpPath) or die "Couldn't create dir: [ $tmpPath ] ($!)\n";
	}
	unless (File::Spec->file_name_is_absolute( $tmpPath )){
		$tmpPath = File::Spec->rel2abs($tmpPath);
	}
	return $tmpPath;
}
1;