#!/usr/bin/perl
package convertFormat;
use Getopt::Long;
sub bowtieToBed{
	shift @_;
	my ($input,$read_len,$inputType) = @_;	
	#print "convertBowtieIntoBed\t";
	my $output = "$input.bed";
		open(IN,$input) or die "Can't open $input: $!";
		open(OUT,">$output");
		#print "output file $output\n";
		while($line=<IN>){
			chomp($line);
			@reads=split(/\s+/,$line);
			$start=$reads[3]+1;
			$end=$start+$read_len-1;
			if($inputType eq "u"){
				syswrite OUT,$reads[2]."\t".$start."\t".$end."\t".$reads[0]."\t".$reads[1]."\n";
			}
			elsif($inputType eq "m"){
				syswrite OUT,$reads[2]."\t".$start."\t".$end."\t".$reads[0]."\t".$reads[1]."\n";
			}
		}
	close (IN);
	close (OUT);
	#print "finished\n";
	return $output;

}
sub beltToGff{
	shift @_;	
	my ($inFile,$feature,$outFile)=@_;	
	#print "convertBeltToGff\t";
	open (IN, $inFile) or die "Can not open $inFile\n";
	open (OUT, ">$outFile");
	my @tmpList = ();
	my $count = 1; 
	while (my $line = <IN>)
	{
		chomp($line);
		@tmpList = split(/\s+/, $line);
		my @chr = split("r",$tmpList[0]);
		print OUT join("\t",$tmpList[0],$feature,@tmpList[1,2,7],".",".","$chr[1]$tmpList[1]$tmpList[2]") . "\n";
	}
	close (IN);
	close (OUT);
	#print "finished\n";
}

sub bedToGff{
	shift @_;	
	my ($inFile,$feature,$outFile)=@_;	
	#print "convertBedToGff\t";
	open (IN, $inFile) or die "Can not open $inFile\n";
	open (OUT, ">$outFile");
	my @tmpList = ();
	my $count = 1; 
	while (my $line = <IN>)
	{
		chomp($line);
		@tmpList = split(/\s+/, $line);
		my @chr = split("r",$tmpList[0]);
		print OUT join("\t",$tmpList[0],$feature,@tmpList[1,2],".",$tmpList[4],".",$tmpList[3]) . "\n";
	}
	close (IN);
	close (OUT);
	#print "finished\n";
}

1;
