#!/usr/bin/perl
package peakIntoGeneRef;
#input var:absolute path of a peak file
sub main{
	shift @_;
	#print "peakIntoGeneRef\t";
	my $input=$_[0];
	open(IN,$input) or die "Can not open file $input\n";

	my $output = "$input.GeneRef";
	open(OUT,">$output");

	while($line=<IN>){
		chomp($line);
		@peak=split(/\s+/,$line);
		@chr=split(/r/,$peak[0]);
		print OUT join("\t",@peak[3,5],$chr[-1],"-",@peak[1,2,6,7]) . "\n";
	}
	close (IN);
	close (OUT);
	#print "finished\n";	
	return $output;
	
}
1;